# **********************************************************************
# Copyright 2018 VMware, Inc.  All rights reserved. VMware Confidential.
# **********************************************************************
# $Id$
# $DateTime$
# $Change$
# $Author$
# **********************************************************************
import json

from cli.commands.cli_command_provider import CliCommandProvider
from cli.commands.lcp_common.nsx_proxy.client import get_nsxproxy_cli_output


class GetNSXProxyMaintenanceMode(CliCommandProvider):
    def __call__(self, cmd_list):
        response = get_nsxproxy_cli_output("get/maintenance-mode")
        if response is None:
           return "MSG_HOST_NSXPROXY_MAINTENANCE_MODE_GET_FAILED"

        return "OK\n\n%s" % json.dumps(response)


class SetNSXProxyMaintenanceMode(CliCommandProvider):
    def __call__(self, cmd_list):
        mode = cmd_list[2]
        response = get_nsxproxy_cli_output("set/maintenance-mode", [mode])
        if response is None:
           return "MSG_HOST_NSXPROXY_MAINTENANCE_MODE_SET_FAILED"

        return "OK\n\n%s" % json.dumps(response)
